← Tables

Scotland

West Region League Division 2

#TeamPWDLPDBPPtsForm
1Bishopton RFC6501+41626WWWWL
2Birkmyre RFC6312+34519LWLWW
3Irvine RFC5311+24519DWWLW
4Loch Lomond / Helensburgh63120519WLLWD
5Wigtownshire RFC5302+77517WWWLL
6Lochaber RFC5302+51416LWLWW
7Uddingston RFC5104-5537LLWLL
8Cumnock RFC4013-6813LLLD
9Mid Argyll RFC4004-10430LLLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.